%define name drivel
%define version 3.0.2

%define Summary A live journal for Gnome

Summary: 	%Summary
Name: 		%name
Version: 	%version
Release: 	%mkrel 1
License: 	GPLv2+
Group: 		Networking/Other
URL:		http://www.dropline.net/drivel/index.php

Source:		http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Source1:	%name-16.png
Source2:	%name-32.png
Source3:	%name.png
Source4:        gnome-%name.desktop
BuildRoot: 	%_tmppath/%{name}-%{version}-%{release}-buildroot

BuildRequires:	gtkspell-devel
BuildRequires:  libgnomeui2-devel
BuildRequires:	gnome-doc-utils
BuildRequires:  libgtksourceview-2.0-devel
BuildRequires:  libglade2.0-devel
BuildRequires:	curl-devel
BuildRequires:	scrollkeeper
BuildRequires:	perl(XML::Parser)
BuildRequires:	rhythmbox
BuildRequires:	desktop-file-utils
BuildRequires:  libsoup-devel
BuildRequires:	intltool

%description
Drivel is a GNOME client for working with online journals, also known as
weblogs or simply blogs.  It supports LiveJournal, Blogger, MovableType,
Advogato, Atom, WordPress, Drupal and other content management systems, and
allows offline composition and editing, complete with spell checking.  You can
post, edit, delete, and view recent entries, and there is tight Gnome desktop
integration.

%prep
%setup -q

%build
%configure2_5x --disable-mime-update --disable-desktop-update

%make WARN_CFLAGS=""

%install
rm -rf %buildroot
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std UPDATE_MIME_DATABASE=true UPDATE_DESKTOP_DATABASE=true

rm -rf %{buildroot}/var/lib/scrollkeeper/

cp -f %{SOURCE4} %buildroot/%{_datadir}/applications/

%find_lang %name --with-gnome

desktop-file-install --vendor="" --remove-category Application --add-category X-MandrivaLinux-Internet-Other --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

# icon
mkdir -p %buildroot/{%_liconsdir,%_iconsdir,%_miconsdir}
#install -m 644 src/pixmaps/%name.png %buildroot/%_datadir/pixmaps/%name.png
install -m 644 %SOURCE1 %buildroot/%_miconsdir/%name.png
install -m 644 %SOURCE2 %buildroot/%_liconsdir/%name.png
install -m 644 %SOURCE3 %buildroot/%_iconsdir/%name.png

%define schemas %name

%post
%post_install_gconf_schemas %{schemas}
%update_scrollkeeper
%update_desktop_database

%preun
%preun_uninstall_gconf_schemas %{schemas}

%postun
%clean_scrollkeeper
%clean_mime_database
%clean_desktop_database

%clean
rm -rf %buildroot

%files -f %name.lang
%defattr(-,root,root)

%doc AUTHORS COPYING MAINTAINERS NEWS README TODO
%{_sysconfdir}/gconf/schemas/drivel.schemas
%{_bindir}/drivel
%{_datadir}/drivel
%{_datadir}/pixmaps/*
%{_datadir}/icons/gnome/*/mimetypes/gnome-mime-application-x-drivel.png
%{_datadir}/applications/*.desktop
%{_datadir}/mime/*
%{_datadir}/mime-info/*
%{_datadir}/application-registry/*
%{_datadir}/omf/%{name}/%{name}-*.omf
%_liconsdir/%name.png
%_miconsdir/%name.png
%_iconsdir/%name.png




%changelog
* Thu Jul 29 2010 Funda Wang <fwang@mandriva.org> 3.0.2-1mdv2011.0
+ Revision: 562951
- new version 3.0.2

* Sun Nov 29 2009 Jérôme Brenier <incubusss@mandriva.org> 3.0.0-1mdv2010.1
+ Revision: 471597
- add BuildRequires : gnome-doc-utils and intltool
- BuildRequires : libgtksourceview-2.0-devel in exchange for
  gtksourceview1-devel
- new version 3.0.0
- fix str fmt
- fix files list

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Tue Jan 22 2008 Funda Wang <fwang@mandriva.org> 2.1.0-2mdv2008.1
+ Revision: 156407
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 29 2007 Jérôme Soyer <saispo@mandriva.org> 2.1.0-1mdv2008.1
+ Revision: 103032
- fix
- fix
- Fix autogen.sh
- New release 2.1.0


* Fri Feb 23 2007 Emmanuel Andry <eandry@mandriva.org> 2.0.3-3mdv2007.0
+ Revision: 125225
- buildrequires desktop-file-utils

  + Jérôme Soyer <saispo@mandriva.org>
    - Fix bug #28744

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Rebuild against new curl
    - Import drivel

* Tue Aug 08 2006 Jerome Soyer <saispo@mandriva.org> 2.0.3-1mdv2007.0
- New release 2.0.3
- Fix XDG Menu

* Mon Nov 07 2005 Abel Cheung <deaddog@mandriva.org> 2.0.2-2mdk
- Rebuild

* Fri Aug 12 2005 Abel Cheung <deaddog@mandriva.org> 2.0.2-1mdk
- New release 2.0.2

* Fri Jul 01 2005 Abel Cheung <deaddog@mandriva.org> 2.0.1-1mdk
- 2.0.1
- Update mime database too

* Fri Jun 10 2005 Lenny Cartier <lenny@mandriva.com> 2.0.0-1mdk
- 2.0.0

* Wed Jun 08 2005 Lenny Cartier <lenny@mandriva.com> 1.3.91-1mdk
- 1.3.91

* Tue May 31 2005 Lenny Cartier <lenny@mandriva.com> 1.3.90-1mdk
- 1.3.90

* Sat Feb 05 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.3.1-2mdk
- fix buildrequires

* Thu Feb 03 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.3.1-1mdk
- update file list
- fix mime database handling
- New release 1.3.1

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.3-2mdk 
- Rebuild for latest howl

* Sat Dec 04 2004 Jerome Soyer <saispo@mandrake.org> 1.2.3-1mdk
- New version

* Thu Oct 28 2004 Jerome Soyer <saispo@mandrake.org> 1.2.2-1mdk
- New Version

* Sat Oct 02 2004 Jerome Soyer <saispo@mandrake.org> 1.2.1-1mdk
- new version

* Mon Aug 30 2004 Jerome Soyer <saispo@mandrake.org> 1.2.0-1mdk
- new version

* Fri Aug 27 2004 Jerome Soyer <saispo@mandrake.org> 1.1.2-2mdk
- BuildRequires

* Sun Aug 15 2004 Jerome Soyer <saispo@mandrake.org> 1.1.2-1mdk
- new version

* Mon Aug 09 2004 Jerome Soyer <jeromesoyer@yahoo.fr> 1.1.1-2mdk
- fix section and group

* Sun Aug 08 2004 Jerome Soyer <jeromesoyer@yahoo.fr> 1.1.1-1mdk
- first build

